com.creamtec.ajaxswing.core

## Class RestrictedRMIRegistry

- java.lang.Object
- - com.creamtec.ajaxswing.core.RestrictedRMIRegistry

- All Implemented Interfaces:
    java.rmi.server.RMIClientSocketFactory, java.rmi.server.RMIServerSocketFactory

      public class RestrictedRMIRegistry
      extends java.lang.Object
      implements java.rmi.server.RMIServerSocketFactory, java.rmi.server.RMIClientSocketFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RestrictedRMIRegistry()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.rmi.registry.Registry` | `createRegistry(int port)`
    `java.net.ServerSocket` | `createServerSocket(int port)`
    `java.net.Socket` | `createSocket(java.lang.String host, int port)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RestrictedRMIRegistry

          public RestrictedRMIRegistry()

  - ### Method Detail

    - #### createRegistry

          public static java.rmi.registry.Registry createRegistry(int port)
                                                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### createServerSocket

          public java.net.ServerSocket createServerSocket(int port)
                                                   throws java.io.IOException

      Specified by:
        `createServerSocket` in interface `java.rmi.server.RMIServerSocketFactory`
      Throws:
        `java.io.IOException`

    - #### createSocket

          public java.net.Socket createSocket(java.lang.String host,
                                     int port)
                                       throws java.io.IOException

      Specified by:
        `createSocket` in interface `java.rmi.server.RMIClientSocketFactory`
      Throws:
        `java.io.IOException`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.